export class ActorsSBT{
    actors_ids = [];
    mainActor;

    removeActor(id, scene){
        const index = this.actors_ids.indexOf(id);
        if (index > -1) { 
            this.actors_ids.splice(index, 1);
        }
        this.setActors(scene);
    }

    checkActorOnList(actorId, scene){
        if (!(this.actors_ids.includes(actorId))) {
            this.actors_ids.push(actorId);
            this.setActors(scene);
        }  
    }

    getActors(scene){
        this.actors_ids = scene.getFlag('step_beyond_time', 'actors') || [];   
    }

    setActors(scene){
        scene.setFlag('step_beyond_time', 'actors', this.actors_ids);  
    }

    getActor(actorId){
        if(!actorId){
            if (this.chekActors()){
                actorId = this.actors_ids[0];
            }
            else{
                return
            }
        }
        this.mainActor = game.actors.get(actorId);
    }   

    setActor(actor, scene){
        this.checkActorOnList(actor._id, scene);
        this.getActor(actor._id);
    }

    chekActors(){
        if (this.actors_ids.length > 0) {
            return true;
        }
        return false;
    }

}